/*************************************************************
* archdep.c Code that change depending on the microcontroller
* and implimentation
* WiiP! (AT90S2313) AVR Flavor
* Copyright YOLD 3173 OpenWii all rights reversed.
**************************************************************/

/*Include common files*/
#include "../common/common.h"

/* Handle the timer interrupt */
//ISR(TIMER1_COMP1_vect) {
//	OCR1+=MSTIMERDIV;
//	msTimerInt(); /*Handle the ms timer (for led flashing)*/
//}


/* do anything specefic to this micro */
inline void machInit() {
	DDRB|= LEDPIN;         /* enable PB5 as output for led*/
//	TIMSK |= _BV(OCIE1A); /*Set timer output compare interrupt*/
	TCCR1B=0x1;	/*setup timer, start it running div/1 */
//	UBRR=30;
//	UCR|=_BV(TXEN);
	sei();	/*Global Interrupt Enable*/
}

/* wait approx 1 us (or whatever works)*/
inline void waitus(uint16_t us)
{
	int16_t t0=TCNT1;
	us*=(uint8_t)USTIMERDIV; //us now = how long 1 ms takes to pass (this requires mathlibs and more space...)
	while((TCNT1-t0) < us);
}
